---
lang: en
title: 'API docs: authorization.authorize.allowallexcept'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/authorization
permalink: /doc/en/lb4/apidocs.authorization.authorize.allowallexcept.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/authorization](./authorization.md) &gt; [authorize](./authorization.authorize.md) &gt; [allowAllExcept](./authorization.authorize.allowallexcept.md)

## authorize.allowAllExcept() function

Allow all but the given roles

**Signature:**

```typescript
allowAllExcept: (...roles: string[]) => (target: any, method?: string | undefined, methodDescriptor?: TypedPropertyDescriptor<any> | undefined) => any
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  roles | string\[\] |  |

**Returns:**

(target: any, method?: string \| undefined, methodDescriptor?: TypedPropertyDescriptor&lt;any&gt; \| undefined) =&gt; any


